Description
Dear team:

Could i install MariaDB for redmine using?

Related issues:

Related to Redmine - Defect #19344: MySQL 5.6: IssueNestedSetConcurrencyTest#... Closed
Related to Redmine - Defect #30367: "Last updated by" filter causes an SQL er... Closed
Related to Redmine - Defect #39437: MySQL / MariaDB issue nested set deadlock... Closed
Related to Redmine - Feature #35685: Support for MySQL > 5.7 or MariaDB Closed

Associated revisions

Revision 14128 - 2015-03-17 00:20 - Toshi MARUYAMA
add MariaDB 5.5 environment to travis (#17460, #19344, #19395)

History

#1 - 2015-03-17 13:26 - Toshi MARUYAMA
- Related to Defect #19344: MySQL 5.6: IssueNestedSetConcurrencyTest#test_concurrency : always fails added

#2 - 2015-04-12 04:56 - Toshi MARUYAMA

- Category set to Database

#3 - 2019-01-10 03:06 - Marius BALTEANU
- Related to Defect #30367: "Last updated by" filter causes an SQL error with MariaDB added

#4 - 2019-04-15 15:51 - PICCORO LenzMcKAY

umm i can see that #30367 was closed, does now support mariadb? or at leas runs on mariadb 10.1? (seems 10.1 are direct realted to 5.5 release of
mysql)

#5 - 2019-04-26 11:18 - sofia raj
- File 21.png added

#6 - 2019-04-26 11:18 - Marius BALTEANU
- File deleted (21.png)

#7 - 2019-04-26 11:20 - sofia raj
- File Untitled-1 copy.png added

#8 - 2019-04-26 11:23 - Marius BALTEANU
- File deleted (Untitled-1 copy.png)

#9 - 2020-05-05 16:02 - Matt V

Hello!
With Debian 10 (buster) mysql-server is being kicked from the official debian repos: [1] mariadb 10.3 is the new standard on debian. It would be great
to know if this will work for redmine 4.1?
https://www.redmine.org/issues/30367

Thanks!

Kind Regards,
Matt

(1]

https://packages.debian.org/stretch/mysql-server

#10 - 2021-10-04 16:01-C S

| set up Redmine for the first time about 2 years ago on a Synology NAS with MariaDB10 (I think at first even with 10.2, now with 10.3) and so far |
have never had problems that ultimately related to the database support itself ... | think already that MariaDB (10.3) can be included in the official
support list ...

#11 - 2023-10-31 15:36-C S

There are any news?
In my Opinion it works...

#12 - 2023-11-01 00:54 - Go MAEDA
- Related to Defect #39437: MySQL / MariaDB issue nested set deadlocks and consistency added

#13 - 2023-11-01 07:38 - Marius BALTEANU
C S wrote in #note-11:
There are any news?

In my Opinion it works...

| hope we will have a resolution on #39437.
#14 - 2023-11-20 23:57 - Marius BALTEANU
C S wrote in #note-10:
| set up Redmine for the first time about 2 years ago on a Synology NAS with MariaDB10 (I think at first even with 10.2, now with 10.3) and so far

| have never had problems that ultimately related to the database support itself ... | think already that MariaDB (10.3) can be included in the
official support list ...

It's hard to add this to the official support list without having MariaDB in the official Cl matrix.

#15 - 2023-11-20 23:59 - Marius BALTEANU
- Related to Feature #35685: Support for MySQL > 5.7 or MariaDB added

#16 - 2024-01-08 22:48 - Andrea Grillini

- File clipboard-202401082240-rmdin.png added

Hello!

The page that tells about Redmine installation still reports what can be seen in the screenshot.

4 On Redmine < 5.1.1 MySQL 5.6 or higher and MariaDB have known issues ( , #19395, )
Has there been any update or resolution regarding the issue mentioned in that note?

| arrived here by cliking on "#19395".
Thanks in advance!

Andrea
